# GitLab CI

You can add Clippy to GitLab CI by using the latest stable rust docker image, as it is shown in the `.gitlab-ci.yml` CI configuration file below,

    # Make sure CI fails on all warnings, including Clippy lints
    variables:
      RUSTFLAGS: "-Dwarnings"

    clippy_check:
      image: rust:latest
      script:
        - rustup component add clippy
        - cargo clippy --all-targets --all-features